Summary: An extremely capable system configuration tool.
Name: linuxconf
Version: 1.35
Release: 1
License: GPL
Group: System Environment/Base
Source: ftp.solucorp.qc.ca:/pub/linuxconf/devel/linuxconf-1.35.src.tar.gz
Url: http://www.solucorp.qc.ca/linuxconf/
Packager: Jacques Gelinas <jacques@solucorp.qc.ca>
Vendor: Solucorp
BuildRoot: /tmp/linuxconf-root
provides: LINUXCONFAPIREV20
Requires: /bin/arch
#BuildRequires: wxxt-devel
#BuildRequires does not work on rh6, so for now too bad

%define USRLIB64 %(test -d /usr/lib64 && echo /usr/lib64 || echo /usr/lib)

%description
Linuxconf is an extremely capable system configuration tool.  Linuxconf
provides four different interfaces for you to choose from:  command line,
character-cell (like the installation program), an X Window System based
GUI and a web-based interface.  Linuxconf can manage a large proportion
of your system's operations, including networking, user accounts, file
systems, boot parameters, and more.

Linuxconf will simplify the process of configuring your system.  Unless
you are completely happy with configuring your system manually, you should
install the linuxconf package and use linuxconf instead.


%package gui
Summary: GUI frontend for linuxconf
Group: Utilities/System
%description gui
This package provides the remadmin utility which is called silently
by linuxconf and provides the GUI for X. It may also be used to
do remote administration of a linuxconf station.

%package lib
Summary: Shared library providing the linuxconf UI toolkit
Group: Development/System
%description lib
This provides the shared library and support files for standalone utilities
other than Linuxconf which are using the Linuxconf user interface
toolkit.

%package X
Summary: Module to configure X
Group: Utilities/System
%description X
This package provides various module not needed on system without
X11 installed.

%package lang-zh
Summary: Chinese translation (Big 5)
Group: System Environment/Base
%description lang-zh
Translations

%package lang-cn
Summary: Chinese translation (simple)
Group: System Environment/Base
%description lang-cn
Translations

%package lang-cs
Summary: Czech translation
Group: System Environment/Base
%description lang-cs
Translations

%package lang-de
Summary: Deutsch translation
Group: System Environment/Base
%description lang-de
Translations


%package lang-es
Summary: Spanish translation
Group: System Environment/Base
%description lang-es
Translations

%package lang-fi
Summary: Finish translation
Group: System Environment/Base
%description lang-fi
Translations

%package lang-fr
Summary: French translation
Group: System Environment/Base
%description lang-fr
Translations


%package lang-it
Summary: Italian translation
Group: System Environment/Base
%description lang-it
Translations

%package lang-no
Summary: Norsk translation
Group: System Environment/Base
%description lang-no
Translations

%package lang-pt
Summary: portugus - Brasil translation
Group: System Environment/Base
%description lang-pt
Translations

%package lang-se
Summary: Swedish translation
Group: System Environment/Base
%description lang-se
Translations

%package lang-sk
Summary: Slovensky translation
Group: System Environment/Base
%description lang-sk
Translations

%package lang-ko
Summary: Korean(NeoCentury Systems Co.) translation
Group: System Environment/Base
%description lang-ko
Translations

%package lang-ro
Summary: Romanian translation
Group: System Environment/Base
%description lang-ro
Translations

%package lang-ru-SU
Summary: Russian KOIS
Group: System Environment/Base
%description lang-ru-SU
Translations

%package lang-hu
Summary: Hugarian
Group: System Environment/Base
%description lang-hu
Translations

%package devel
Summary: The tools needed for developing linuxconf modules.
Group: Development/System
%description devel
Linuxconf is an extremely capable system configuration tool.
It provides a variety of interfaces through which you can configure
your Linux system and manage a large proportion of the system's
operations.

This package provides the components necessary for developing
Linuxconf modules outside of the linuxconf source tree and/or
developing stand-alone utilities using the linuxconf interface
toolkit.

Install linuxconf-devel if you want to develop Linuxconf modules.
You must also have linuxconf installed.


%package util
Summary: Various related utilities
Group: Utilities/System
%description util
This package provides various utilities. Most require linuxconf-lib as well.

%prep

%setup



%build 

make
%install
if [ "$RPM_BUILD_ROOT" = "/tmp/linuxconf-root" ] ; then
	rm -fr /tmp/linuxconf-root
fi
export RPM_BUILD_ROOT
MANPAGES=%_mandir
export MANPAGES
make install_for_rpm

mkdir -p $RPM_BUILD_ROOT/var/log
for file in htmlaccess netconf boot ; do
        touch $RPM_BUILD_ROOT/var/log/$file.log 
        chmod 600 $RPM_BUILD_ROOT/var/log/$file.log
done

make install-devel install-lib
(cd $RPM_BUILD_ROOT%{USRLIB64}/linuxconf; find . -type f -print) | 
  grep -v ./lib/shellmod-control |
  grep -v ./lib/sendsmtp |
  grep -v '^\./help\.' | grep -v '^\.$' |
  sed 's:^\./:%{USRLIB64}/linuxconf/:g' > libfiles
(cd $RPM_BUILD_ROOT%{USRLIB64}/linuxconf; find help.eng -type f -print) | 
  sed 's:help.eng:%{USRLIB64}/linuxconf/help.eng:g' >> libfiles
(cd $RPM_BUILD_ROOT%{USRLIB64}/linuxconf; find . -type d -print) | 
  grep -v '^\./help\.' | grep -v '^\.$' |
  sed 's:^\./:%dir %{USRLIB64}/linuxconf/:g' >> libfiles
(cd $RPM_BUILD_ROOT%{USRLIB64}/linuxconf; find help.eng -type d -print) | 
  sed 's:help.eng:%dir %{USRLIB64}/linuxconf/help.eng:g' >> libfiles

for excl in Xkbdconf mouseconf XFmousereset XFconfig
do
	grep -v $excl libfiles >libfiles.tmp
	mv libfiles.tmp libfiles
done

if [ -f diawxxt/wxxt-linuxconf ] ; then
	echo /usr/X11R6/bin/wxxt-linuxconf >guifiles
elif [ -f diawxgtk/wxgtk-linuxconf ] ; then
	echo /usr/bin/wxgtk-linuxconf >guifiles
else
	# No files in linuxconf-gui so people without wxxt can build
	# the package anyway
	echo >guifiles
fi

(cd $RPM_BUILD_ROOT
	for file in .%{USRLIB64}/linuxconf/*/mouseconf.* .%{USRLIB64}/linuxconf/*/Xkbdconf.*
	do
		echo /$file
	done
) >Xfiles


%clean

if [ "$RPM_BUILD_ROOT" = "/tmp/linuxconf-root" ] ; then
	rm -fr /tmp/linuxconf-root
fi

%pre

OLDINSTALL=%{USRLIB64}/linuxconf/help.eng/notices/01-oldinstall
INITTABREPLACE=%{USRLIB64}/linuxconf/uninstall/inittab.replace
UPGRADE="NO"



echo "#### pre install script" >>/tmp/linuxconf-rpminstall.log
date >>/tmp/linuxconf-rpminstall.log

log(){
	echo $* >>/tmp/linuxconf-rpminstall.log
	$*
}

# Check for tarball installation
if [ -f %{USRLIB64}/linuxconf/conf.daemons ] ; then
	UPGRADE="YES"
fi

if [ -f %{USRLIB64}/linuxconf/std/conf.daemons ] ; then
	UPGRADE="YES"
fi

# Check for old 1.9r22 RPM installation
if [ -f %{USRLIB64}/linuxconf/install/doinst.sh ] ; then
	UPGRADE="YES"
fi

if [ $UPGRADE = "YES" ] ; then
	# Script to upgrade pre-1.9r25 Linuxconf to new SysV compliant booting.
	# Dale - Hacked in a few minutes late one night :-)

	echo Upgrading from older install strategy >>/tmp/linuxconf-rpminstall.log
	# Kill the Install directory
	if [ -f /install/doinst.sh ] ; then
		log rm -Rf /install
	fi

	# Kill the old %{USRLIB64}/linuxconf directory, the RPM will put
	# everything we need back in later.
	log rm -Rf %{USRLIB64}/linuxconf

	# Create the directories we will need for the upgrade
	log install -d -g users -m 755 -o root %{USRLIB64}/linuxconf/
	log install -d -g users -m 755 -o root %{USRLIB64}/linuxconf/help.eng/notices/
	log install -d -g users -m 755 -o root %{USRLIB64}/linuxconf/uninstall/

	# Create a note displayed by linuxconf informing that the RPM
	# install has done some cleanup
	echo "      Installation note" >$OLDINSTALL
	echo >>$OLDINSTALL
	echo "The RPM installation has detected that linuxconf was already" >>$OLDINSTALL
	echo "installed using the tar.gz kit" >>$OLDINSTALL
	echo >>$OLDINSTALL
	echo "It has taken action to fix your linuxconf installation" >>$OLDINSTALL
	echo "so it becomes more compatible with RPM based systems" >>$OLDINSTALL
	echo >>$OLDINSTALL
	echo "You may want to check /tmp/linuxconf-rpminstall.log" >>$OLDINSTALL

	# I put a default RedHat inittab in %{USRLIB64}/linuxconf/install
	# When I unpack the distro, the original SHOULD be there, but hey,
	# You never can tell when someone is gonna need that 1k taken up
	# by the backup....
	if [ -f /etc/inittab.old ] ; then
		log cp /etc/inittab %{USRLIB64}/linuxconf/uninstall/inittab.beforeupgrade
		log mv -f /etc/inittab.old /etc/inittab
	#else
		# Tell the RPM to replace this file with a stock RedHat
		# We haven't untarred anything yet, so we can't replace it
		#log cp /etc/inittab %{USRLIB64}/linuxconf/uninstall/inittab.beforeupgrade
		#log touch $INITTABREPLACE
	fi

	if [ -f /etc/rc.d/rc.M ] ; then
		log mv -f /etc/rc.d/rc.M %{USRLIB64}/linuxconf/uninstall/rc.M.beforeupgrade
	fi

	if [ -f /etc/rc.d/rc.sysinit.old ] ; then
		log mv -f /etc/rc.d/rc.sysinit.old %{USRLIB64}/linuxconf/uninstall/rc.sysinit.beforelinuxconf
	fi

	if [ -f /etc/rc.d/rc.old ] ; then
		log mv -f /etc/rc.d/rc.old %{USRLIB64}/linuxconf/uninstall/rc.beforelinuxconf
	fi

	if [ -f /usr/bin/passwd.old ] ; then
		log mv -f /usr/bin/passwd.old %{USRLIB64}/linuxconf/uninstall/passwd.beforelinuxconf
	fi

	if [ -f /usr/sbin/syslogd.old ] ; then
		log mv -f /usr/bin/syslogd.old %{USRLIB64}/linuxconf/uninstall/syslogd.beforelinuxconf
	fi

	if [ -f /etc/conf.linuxconf ] ; then
		log mv -f /etc/conf.linuxconf /etc/conf.linuxconf-installed
	fi
fi

%post

%{USRLIB64}/linuxconf/install/rpm-postinst.sh $*

# Add a few group ids so that the user is not prompted for them later...
if [ -x /usr/sbin/groupadd ] ; then
	# if it is an old version of groupadd, the combined -g and -r options
	# will cause it to fail, so we fall back on just -r.  It will be less
	# consistent across systems, but that's not too horrible.
	/usr/sbin/groupadd -g 230 -r -f pppusers >/dev/null 2>&1 || \
	  /usr/sbin/groupadd -r -f pppusers >/dev/null 2>&1 || true
	/usr/sbin/groupadd -g 231 -r -f popusers >/dev/null 2>&1 || \
	  /usr/sbin/groupadd -r -f popusers >/dev/null 2>&1 || true
	/usr/sbin/groupadd -g 232 -r -f slipusers >/dev/null 2>&1 || \
	  /usr/sbin/groupadd -r -f slipusers >/dev/null 2>&1 || true
fi

%post lib
/sbin/ldconfig

%preun

# The script is handed a 0 if this is a uninstall
# and a 1 if it is an upgrade...
%{USRLIB64}/linuxconf/install/rpm-preuninst.sh $1

		

%postun

# Cry a little tear, because Linuxconf is not on this machine anymore...

%postun lib
/sbin/ldconfig

%files -f libfiles
#defattr do not work with old rpm utility
%defattr(-,root,root)
%config(noreplace) %verify(not md5 size mtime) /etc/conf.linuxconf
%config /etc/pam.d/linuxconf
%config /etc/pam.d/linuxconf-pair
%config /etc/logrotate.d/linuxconf
%config /etc/xinetd.d/linuxconf-web
%config /etc/vmail/vprocmailrc.user
%config /etc/vmail/vprocmailrc.domain

%dir %{USRLIB64}/linuxconf/
%attr(4755,root,root) /bin/linuxconf
/bin/netconf
/bin/fsconf
/sbin/linuxconf
/sbin/askrunlevel
/sbin/dnsconf
/sbin/vregistry
/sbin/fixperm
/sbin/mailconf
/sbin/viewlog
/bin/userconf
/sbin/modemconf
/sbin/managerpm
%config /etc/init.d/switchprofile
%config /etc/init.d/vdomaincheck
%config /bin/remadmin

%ghost /var/log/htmlaccess.log
%ghost /var/log/netconf.log
%ghost /var/log/boot.log
#%ghost%config /etc/PROFILE

%doc rpmfiles/doc/COPYING
%doc rpmfiles/doc/HELPING
%doc rpmfiles/doc/RPM-CHANGES
%doc rpmfiles/doc/RPM-INSTALL
%doc rpmfiles/doc/RPM-README
%doc rpmfiles/doc/UPGRADE

%doc %_mandir/man8/*
%doc %_mandir/man1/*


%files util
%defattr(-,root,root)
/usr/bin/shellmod
/usr/bin/linuxconf-wrapper
/usr/bin/wineconf
/usr/bin/fsbrowser
%{USRLIB64}/linuxconf/lib/sendsmtp
%{USRLIB64}/linuxconf/lib/shellmod-control
%{USRLIB64}/linuxconf/lib/shellmod-lib.sh
%{USRLIB64}/linuxconf/lib/shellmod-lib.pl
/usr/bin/pidsocket
/usr/bin/visualuntar
%{USRLIB64}/linuxconf/help.eng/shellmod-msg*
/usr/bin/printfds

%files gui -f guifiles
%defattr(-,root,root)

%files X -f Xfiles
%{USRLIB64}/linuxconf/help.eng/Xkbdconf*
%{USRLIB64}/linuxconf/help.eng/mouseconf*
%{USRLIB64}/linuxconf/lib/XF*
%{USRLIB64}/linuxconf/images/mini-Xkbdconf.*
%{USRLIB64}/linuxconf/images/mini-mouseconf.*
%{USRLIB64}/linuxconf/descriptions/*/Xkbdconf
%{USRLIB64}/linuxconf/descriptions/*/mouseconf

%files devel
%defattr(-,root,root)
/usr/include/linuxconf
%{USRLIB64}/liblinuxconf.a
%{USRLIB64}/linuxconf-devel
/usr/bin/tlcc
/usr/bin/cctlcc
/usr/bin/tlccversion
/usr/bin/tlproto

%files lib
%defattr(-,root,root)
%{USRLIB64}/liblinuxconf.so
%{USRLIB64}/liblinuxconf.so.1
%{USRLIB64}/liblinuxconf.so.1.35
%{USRLIB64}/linuxconf-lib
%config /bin/remadmin

%files lang-zh
%defattr(-,root,root)
%{USRLIB64}/linuxconf/help.bg5

%files lang-cn
%defattr(-,root,root)
%{USRLIB64}/linuxconf/help.cn

%files lang-cs
%defattr(-,root,root)
%{USRLIB64}/linuxconf/help.cs

%files lang-de
%defattr(-,root,root)
%{USRLIB64}/linuxconf/help.de

%files lang-es
%defattr(-,root,root)
%{USRLIB64}/linuxconf/help.es

%files lang-fi
%defattr(-,root,root)
%{USRLIB64}/linuxconf/help.fi

%files lang-fr
%defattr(-,root,root)
%{USRLIB64}/linuxconf/help.fr

%files lang-it
%defattr(-,root,root)
%{USRLIB64}/linuxconf/help.it

%files lang-no
%defattr(-,root,root)
%{USRLIB64}/linuxconf/help.no

%files lang-pt
%defattr(-,root,root)
%{USRLIB64}/linuxconf/help.pt

%files lang-ro
%defattr(-,root,root)
%{USRLIB64}/linuxconf/help.ro

%files lang-se
%defattr(-,root,root)
%{USRLIB64}/linuxconf/help.se

%files lang-sk
%defattr(-,root,root)
%{USRLIB64}/linuxconf/help.sk

%files lang-ko
%defattr(-,root,root)
%{USRLIB64}/linuxconf/help.ko

%files lang-ru-SU
%defattr(-,root,root)
%{USRLIB64}/linuxconf/help.ru_SU

%files lang-hu
%defattr(-,root,root)
%{USRLIB64}/linuxconf/help.hu

